@echo off
rem *****************************************************
rem * cpysetup.bat                                      *
rem *                                                   *
rem * This batch file copies necessary files for setup  *
rem * to the directory [destination dir], copying only  *
rem * those files for setup in language [language]      *
rem *                                                   *
rem * usage: cpysetup.bat [destination dir] [language]  *
rem *****************************************************

if "%2"=="" goto PARMERR
if NOT "%3"=="" goto PARMERR

if not exist %0\..\%21.* goto LANGERR

set TARGET=%1\db2\common
if exist %0\..\..\..\WinNT95\common\* set TARGET=%1\db2\WinNT95\common
xcopy %0\..\cpysetup.bat %TARGET%\ >nul
if not exist %TARGET%\cpysetup.bat goto CPYERR

echo Copying files...
REM Common files
copy %0\..\*.bat %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\*.bin %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
if exist %0\..\*.bmp copy %0\..\*.bmp %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
if exist %0\..\*.bnd copy %0\..\*.bnd %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\*.dat %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
if exist %0\..\*.dll copy %0\..\*.dll %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\*.ex* %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\*.ini %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\*.ins %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\*.iss %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\*.lid %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\*.pdf %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\*.rsp %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\*.tag %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
if exist %0\..\*.txt copy %0\..\*.txt %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\_sys1.* %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\_user1.* %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
copy %0\..\data1.* %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM

REM NetQuestion
if exist %0\..\netq\* xcopy %0\..\netq %TARGET%\netq\ /s/e >nul
if ERRORLEVEL 1 goto BOTTOM

REM License Certificates
if exist %0\..\..\license\* xcopy %0\..\..\license %TARGET%\..\license\ >nul
if ERRORLEVEL 1 goto BOTTOM

REM IBM PCOMM
if exist %0\..\..\%2\PCOMM\* xcopy %0\..\..\%2\PCOMM %TARGET%\..\%2\PCOMM\ /s/e >nul
if ERRORLEVEL 1 goto BOTTOM

REM Language files
copy %0\..\%21.* %TARGET% >nul
if ERRORLEVEL 1 goto BOTTOM
set LANG=
if exist %TARGET%\BG1.cab set LANG=0002
if exist %TARGET%\CZ1.cab set LANG=0005
if exist %TARGET%\DK1.cab set LANG=0006
if exist %TARGET%\DE1.cab set LANG=0007
if exist %TARGET%\GR1.cab set LANG=0008
if exist %TARGET%\EN1.cab set LANG=0009
if exist %TARGET%\ES1.cab set LANG=000a
if exist %TARGET%\FI1.cab set LANG=000b
if exist %TARGET%\IL1.cab set LANG=000d
if exist %TARGET%\HU1.cab set LANG=000e
if exist %TARGET%\IT1.cab set LANG=0010
if exist %TARGET%\JP1.cab set LANG=0011
if exist %TARGET%\KR1.cab set LANG=0012
if exist %TARGET%\NL1.cab set LANG=0013
if exist %TARGET%\NO1.cab set LANG=0014
if exist %TARGET%\PL1.cab set LANG=0015
if exist %TARGET%\RU1.cab set LANG=0019
if exist %TARGET%\SE1.cab set LANG=001d
if exist %TARGET%\TR1.cab set LANG=001f
if exist %TARGET%\SI1.cab set LANG=0024
if exist %TARGET%\TW1.cab set LANG=0404
if exist %TARGET%\FR1.cab set LANG=040c
if exist %TARGET%\BR1.cab set LANG=0416
if exist %TARGET%\CN1.cab set LANG=0804
if exist %TARGET%\PT1.cab set LANG=0816
if exist %0\..\setupdir\%LANG%\* xcopy %0\..\setupdir\%LANG% %TARGET%\setupdir\%LANG%\ /s/e >nul

REM Miscellaneous files outside of common
REM \db2\* (non-client) or \db2\WinNT95\* (client)
for %%i in (%0\..\..\*) do copy "%%i" %TARGET%\.. >nul
if ERRORLEVEL 1 goto BOTTOM
REM \*.* (non-client) or \db2\* (client)
for %%i in (%0\..\..\..\*) do copy "%%i" %TARGET%\..\.. >nul
if ERRORLEVEL 1 goto BOTTOM
REM \* (client)
if not exist %0\..\..\..\WinNT95\common\* goto SUCCESS
for %%i in (%0\..\..\..\..\*) do copy "%%i" %TARGET%\..\..\.. >nul
if ERRORLEVEL 1 goto BOTTOM

:SUCCESS
@echo Successful completion.
goto BOTTOM


:LANGERR
@echo Unsupported language: "%2".
goto PARMERR

:PARMERR
@echo Usage: %0 [directory to copy to] [language].
goto BOTTOM

:CPYERR
@echo There was an error copying files to "%1".
goto BOTTOM

:BOTTOM
set TARGET=
